Loading...
Searching...
No Matches
twofish.h File Reference

Public header for libavutil TWOFISH algorithm. More...

`#include <stdint.h>`

Go to the source code of this file.

## Functions

struct AVTWOFISH * | av_twofish_alloc (void)
| Allocate an AVTWOFISH context To free the struct: av_free(ptr).
int | av_twofish_init (struct AVTWOFISH *ctx, const uint8_t *key, int key_bits)
| Initialize an AVTWOFISH context.
void | av_twofish_crypt (struct AVTWOFISH *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.

## Variables

const int | av_twofish_size

## Detailed Description

Public header for libavutil TWOFISH algorithm.

Definition in file twofish.h.